JSMin

# Class: JSMin Source Location: /tasks/ext/jsmin/JsMin.php
### Class Overview
jsmin.php - PHP implementation of Douglas Crockford's JSMin. #### Author(s): Ryan Grove <ryan@wonko.com> #### Version: 1.1.1 (2008-03-02) #### Copyright: 2008 Ryan Grove <ryan@wonko.com> (PHP port) | ### Variables $a $b $input $inputIndex $inputLength $lookAhead $output | ### Constants ORD_LF ORD_SPACE | ### Methods __construct action get isAlphaNum min minify next peek
### Class Details [line 48] jsmin.php - PHP implementation of Douglas Crockford's JSMin. This is pretty much a direct port of jsmin.c to PHP with just a few PHP-specific performance tweaks. Also, whereas jsmin.c reads from stdin and outputs to stdout, this library accepts a string as input and returns another string as output. PHP 5 or higher is required. Permission is hereby granted to use this version of the library under the same terms as jsmin.c, which has the following license: -- Copyright (c) 2002 Douglas Crockford (www.crockford.com) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. The Software shall be used for Good, not Evil. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. -- #### Tags:
author: | Ryan Grove <ryan@wonko.com>
version: | 1.1.1 (2008-03-02)
copyright: | 2002 Douglas Crockford <douglas@crockford.com> (jsmin.c)
copyright: | 2008 Ryan Grove <ryan@wonko.com> (PHP port)
link: | http://code.google.com/p/jsmin-php/
license: | MIT License
[ Top ] ### Class Variables #### $a = '' [line 52] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $b = '' [line 53] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $input = '' [line 54] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $inputIndex = 0 [line 55] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $inputLength = 0 [line 56] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $lookAhead = null [line 57] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $output = '' [line 58] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### static method minify [line 62]
`static void minify( $js)`
#### Tags:
access: | public
#### Parameters:
| $js |
[ Top ] ### constructor __construct [line 69]
`JSMin __construct( $input)`
#### Tags:
access: | public
#### Parameters:
| $input |
[ Top ] ### method action [line 76]
`void action( $d)`
#### Tags:
access: | protected
#### Parameters:
| $d |
[ Top ] ### method get [line 135]
`void get( )`
#### Tags:
access: | protected
[ Top ] ### method isAlphaNum [line 159]
`void isAlphaNum( $c)`
#### Tags:
access: | protected
#### Parameters:
| $c |
[ Top ] ### method min [line 163]
`void min( )`
#### Tags:
access: | protected
[ Top ] ### method next [line 244]
`void next( )`
#### Tags:
access: | protected
[ Top ] ### method peek [line 283]
`void peek( )`
#### Tags:
access: | protected
[ Top ] ### Class Constants #### ORD_LF = 10 [line 49] [ Top ] #### ORD_SPACE = 32 [line 50] [ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:10 +0200 by phpDocumentor 1.4.3